> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazygoldfish.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH - Rubric

>  This API allows updating an existing rubric by its unique ID.   You can modify attributes such as the rubric name and description. 


**Key Notes:** 
 - Only the fields provided in the request body will be updated. 
 - `id` must be a valid UUID of an existing rubric. 
 - Authentication via Bearer Token is required. 
 - If the rubric does not exist, a `404` error is returned.



**Use Cases:** 
 - Rename a rubric after creation. 
 - Add or update a description to provide more context.   
 - Make iterative refinements before using the rubric for evaluations. 



## OpenAPI

````yaml PATCH /rubrics/v1/rubric/{id}/
openapi: 3.0.1
info:
  title: Evaluation Report API
  description: An API for retrieving evaluation reports.
  version: 1.0.0
servers:
  - url: https://api-staging.crazygoldfish.com
    description: SandBox endpoint
  - url: https://api.crazygoldfish.com
    description: Prod End Point
security: []
paths:
  /rubrics/v1/rubric/{id}/:
    patch:
      tags:
        - Rubrics
      summary: Update Rubric
      operationId: updateRubric
      parameters:
        - name: id
          in: path
          required: true
          description: Unique identifier for the rubric.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the rubric
                  example: Science Rubric
                description:
                  type: string
                  description: Description of the rubric
                  example: A rubric for evaluating science hand written assignment.
      responses:
        '200':
          description: Rubric updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRubricResponse'
        '403':
          description: Authentication failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403Response'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateRubricResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique ID of the rubric
          example: 2b973c83-2830-4712-87b7-64a8c0a99035
        name:
          type: string
          description: Name of the rubric
          example: English Rubric
        description:
          type: string
          description: Description of the rubric
          example: A rubric for evaluating english hand written assignment.
        rubricCriteria:
          type: array
          example: []
          description: List of rubric criteria
        createdAt:
          type: string
          description: Created date for the rubric
          format: date-time
        modifiedAt:
          type: string
          description: Modified date of the rubric
          format: date-time
    403Response:
      type: object
      properties:
        detail:
          type: string
          example: Token has expired
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````